Package io.vertx.rxjava3.openapi.contract

## Class SecurityScheme

- java.lang.Object
- - io.vertx.rxjava3.openapi.contract.SecurityScheme

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class SecurityScheme
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  Represents a Security Scheme Object.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<SecurityScheme>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SecurityScheme​(SecurityScheme delegate)` |
    `SecurityScheme​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `String` | `getBearerFormat()` | A hint to the client to identify how the bearer token is formatted.
    `SecurityScheme` | `getDelegate()` |
    `OAuthFlows` | `getFlows()` | An object containing configuration information for the flow types supported.
    `String` | `getIn()` | The location of the API key.
    `String` | `getName()` | The name of the header, query or cookie parameter to be used.
    `String` | `getOpenIdConnectUrl()` | OpenId Connect URL to discover OAuth2 configuration values.
    `String` | `getScheme()` | The name of the HTTP Authorization scheme to be used in the Authorization header as defined in [RFC7235].
    `String` | `getType()` | The type of the security scheme.
    `int` | `hashCode()` |
    `static SecurityScheme` | `newInstance​(SecurityScheme arg)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<SecurityScheme> __TYPE_ARG

  - ### Constructor Detail

    - #### SecurityScheme

          public SecurityScheme​(SecurityScheme delegate)

    - #### SecurityScheme

          public SecurityScheme​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public SecurityScheme getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### getType

          public String getType()

      The type of the security scheme. Valid values are "apiKey", "http", "mutualTLS", "oauth2", "openIdConnect"
      Returns:

    - #### getName

          public String getName()

      The name of the header, query or cookie parameter to be used.
      Returns:

    - #### getIn

          public String getIn()

      The location of the API key. Valid values are "query", "header" or "cookie".
      Returns:

    - #### getScheme

          public String getScheme()

      The name of the HTTP Authorization scheme to be used in the Authorization header as defined in [RFC7235]. The values used SHOULD be registered in the IANA Authentication Scheme registry.
      Returns:

    - #### getBearerFormat

          public String getBearerFormat()

      A hint to the client to identify how the bearer token is formatted. Bearer tokens are usually generated by an authorization server, so this information is primarily for documentation purposes.
      Returns:

    - #### getFlows

          public OAuthFlows getFlows()

      An object containing configuration information for the flow types supported.
      Returns:

    - #### getOpenIdConnectUrl

          public String getOpenIdConnectUrl()

      OpenId Connect URL to discover OAuth2 configuration values. This MUST be in the form of a URL. The OpenID Connect standard requires the use of TLS.
      Returns:

    - #### newInstance

          public static SecurityScheme newInstance​(SecurityScheme arg)